Skip to main content
GET
/
valorant
/
v2
/
esports
/
vlr
/
events
/
{event_id}
/
matches
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/esports/vlr/events/{event_id}/matches
import requests

url = "https://api.henrikdev.xyz/valorant/v2/esports/vlr/events/{event_id}/matches"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/esports/vlr/events/{event_id}/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "event": "<string>",
      "id": 1,
      "series": "<string>",
      "slug": "<string>",
      "tags": [
        "<string>"
      ],
      "teams": [
        {
          "is_winner": true,
          "name": "<string>",
          "score": 1
        }
      ],
      "date": "<string>"
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

event_id
integer<int32>
required
Required range: x >= 0

Response

Esports event matches retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0